﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Map;
using System.Windows.Resources;

namespace MapTest
{
	public partial class MainPage : UserControl
	{
		private bool checkBoxInitialized;

		public MainPage()
		{
			InitializeComponent();

			this.RadMap1.InitializeCompleted += new EventHandler(RadMap1_InitializeCompleted);
		}

		private void CheckBox_Checked(object sender, RoutedEventArgs e)
		{
			this.checkBoxInitialized = false;

			OpenStreetMapProvider provider = new OpenStreetMapProvider(MapMode.Aerial, true);
			this.RadMap1.Provider = provider;
		}

		private void RadMap1_InitializeCompleted(object sender, EventArgs e)
		{
			if (!this.checkBoxInitialized && (bool)this.checkBox.IsChecked)
			{
				this.checkBoxInitialized = true;

				this.RadMap1.Center = new Location(38.207034, -91.160209);

				// loading the kml file
				StreamResourceInfo streamInfo = Application.GetResourceStream(
					new Uri("MapTest;component/includes/ILEC_PHONE.kml", UriKind.RelativeOrAbsolute));

				List<FrameworkElement> list = KmlReader.Read(streamInfo.Stream);

				foreach (FrameworkElement element in list)
				{
					MapPolygon shape = element as MapPolygon;
					if (shape != null)
					{
						shape.Fill = new SolidColorBrush(Color.FromArgb(99, 99, 0, 99));
					}
				}

				foreach (FrameworkElement shape in list)
				{
					this.informationLayer.Items.Add(shape);
				}
			}
		}
	}
}
